aboutsummaryrefslogtreecommitdiffstats
path: root/package/mac80211/files
diff options
context:
space:
mode:
authorJohn Crispin <john@openwrt.org>2012-07-24 23:07:25 +0000
committerJohn Crispin <john@openwrt.org>2012-07-24 23:07:25 +0000
commit7639c9b580ed5dfda7022797c56ddb4b6a8392a7 (patch)
tree0c405df4077a69d6f9a37ce44366f0dd60212c97 /package/mac80211/files
parent8b3882224a40ef79be210a55a7fda779179d5872 (diff)
downloadupstream-7639c9b580ed5dfda7022797c56ddb4b6a8392a7.tar.gz
upstream-7639c9b580ed5dfda7022797c56ddb4b6a8392a7.tar.bz2
upstream-7639c9b580ed5dfda7022797c56ddb4b6a8392a7.zip
mac80211/hostapd: add support for HT capa in case of IBSS/RSN
Signed-off-by: Antonio Quartulli <ordex@autistici.org> SVN-Revision: 32830
Diffstat (limited to 'package/mac80211/files')
-rw-r--r--package/mac80211/files/lib/wifi/mac80211.sh14
1 files changed, 7 insertions, 7 deletions
diff --git a/package/mac80211/files/lib/wifi/mac80211.sh b/package/mac80211/files/lib/wifi/mac80211.sh
index 97fd050744..6dfe2a2caf 100644
--- a/package/mac80211/files/lib/wifi/mac80211.sh
+++ b/package/mac80211/files/lib/wifi/mac80211.sh
@@ -445,11 +445,17 @@ enable_mac80211() {
config_get encryption "$vif" encryption
config_get key "$vif" key 1
config_get mcast_rate "$vif" mcast_rate
+ config_get htmode "$device" htmode
+ case "$htmode" in
+ HT20|HT40+|HT40-) ;;
+ *) htmode= ;;
+ esac
+
local keyspec=""
[ "$encryption" == "psk" -o "$encryption" == "psk2" ] && {
if eval "type wpa_supplicant_setup_vif" 2>/dev/null >/dev/null; then
- wpa_supplicant_setup_vif "$vif" nl80211 "${hostapd_ctrl:+-H $hostapd_ctrl}" $freq || {
+ wpa_supplicant_setup_vif "$vif" nl80211 "${hostapd_ctrl:+-H $hostapd_ctrl}" $freq $htmode || {
echo "enable_mac80211($device): Failed to set up wpa_supplicant for interface $ifname" >&2
# make sure this wifi interface won't accidentally stay open without encryption
ifconfig "$ifname" down
@@ -496,12 +502,6 @@ enable_mac80211() {
[ "$mcsub" -gt 0 ] && mcval="$mcval.$mcsub"
}
- config_get htmode "$device" htmode
- case "$htmode" in
- HT20|HT40+|HT40-|NOHT) ;;
- *) htmode= ;;
- esac
-
iw dev "$ifname" ibss join "$ssid" $freq $htmode \
${fixed:+fixed-freq} $bssid \
${beacon_int:+beacon-interval $beacon_int} \